#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 25. Graphical Environment Libraries

- Prev

  libepoxy-1.5.10

- Next

  libxklavier-5.4

- Up
- Home

# libnotify-0.8.4

## Introduction to libnotify

The libnotify library is used to send desktop notifications to a notification daemon, as defined in the Desktop Notifications spec. These notifications can be used to inform the user about an event or display some form of information without getting in the user's way.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libnotify/0.8/libnotify-0.8.4.tar.xz

- Download MD5 sum: 00e2b66b100ea57106dee8988c40fe77

- Download size: 108 KB

- Estimated disk space required: 2.2 MB

- Estimated build time: less than 0.1 SBU

### libnotify Dependencies

#### Required

GTK-3.24.48

#### Optional (Required if building GNOME)

GLib-2.82.5 (with GObject Introspection)

#### Optional

Gi-DocGen-2025.3 and xmlto-0.0.29

#### Required (runtime)

notification-daemon-3.20.0, xfce4-notifyd-0.9.7, or lxqt-notificationd-2.1.1

### Note

GNOME Shell and KDE KWin provide their own notification daemons.

## Installation of libnotify

Install libnotify by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk_doc=false    \
                -D man=false        \
                ..                  &&
    ninja

This package does not come with a test suite.

If you have Gi-DocGen-2025.3 installed and wish to build the API documentation for this package, issue:

    sed "/docs_dir =/s@\$@ / 'libnotify'@" \
        -i ../docs/reference/meson.build   &&
    meson configure -D gtk_doc=true        &&
    ninja

Now, as the `root` user:

    ninja install &&
    if [ -e /usr/share/doc/libnotify ]; then
      rm -rf /usr/share/doc/libnotify-0.8.4
      mv -v  /usr/share/doc/libnotify{,-0.8.4}
    fi

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Program: notify-send
Installed Library: libnotify.so
Installed Directories: /usr/include/libnotify and /usr/share/gtk-doc/html/libnotify

### Short Descriptions

notify-send | is a command used to send notifications
`libnotify.so` | contains the libnotify API functions

- Prev

  libepoxy-1.5.10

- Next

  libxklavier-5.4

- Up
- Home